# gdcm::ByteValue Class Reference

Class to represent binary value (array of bytes). More...

`#include <gdcmByteValue.h>`

Inheritance diagram for gdcm::ByteValue:
[legend]
Collaboration diagram for gdcm::ByteValue:
[legend]

List of all members.

## Public Member Functions
| ByteValue (std::vector< char > &v)
| ByteValue (const char *array=0, VL const &vl=0)
| ~ByteValue ()
void | Clear ()
void | Fill (char c)
bool | GetBuffer (char *buffer, unsigned long length) const
VL | GetLength () const
const char * | GetPointer () const
bool | IsEmpty () const
bool | IsPrintable (VL length) const
| Checks whether a 'ByteValue' is printable or not (in order to avoid corrupting the terminal of invocation when printing) I dont think this function is working since it does not handle UNICODE or character set...
| operator const std::vector< char > & () const
ByteValue & | operator= (const ByteValue &val)
bool | operator== (const ByteValue &val) const
void | PrintASCII (std::ostream &os, VL maxlength) const
void | PrintGroupLength (std::ostream &os)
void | PrintHex (std::ostream &os, VL maxlength) const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap , typename TType >
std::istream & | Read (std::istream &is)
void | SetLength (VL vl)
template<typename TSwap >
std::ostream const & | Write (std::ostream &os) const
template<typename TSwap , typename TType >
std::ostream const & | Write (std::ostream &os) const
bool | WriteBuffer (std::ostream &os) const
## Protected Member Functions
void | Print (std::ostream &os) const

## Detailed Description

Class to represent binary value (array of bytes).

Note:

Examples:

  csa2img.cxx, FixBrokenJ2K.cxx, MrProtocol.cxx, PatchFile.cxx, ReadExplicitLengthSQIVR.cxx, and rle2img.cxx.

## Constructor & Destructor Documentation

gdcm::ByteValue::ByteValue | ( | const char * | array = `0`,
|  | VL const & | vl = `0` |
| ) |  |  | `[inline]`

References gdcmDebugMacro.

gdcm::ByteValue::ByteValue | ( | std::vector< char > & | v | ) | `[inline]`

gdcm::ByteValue::~ByteValue | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::ByteValue::Clear | ( |  | ) | `[inline, virtual]`

Implements gdcm::Value.

void gdcm::ByteValue::Fill | ( | char | c | ) | `[inline]`

bool gdcm::ByteValue::GetBuffer | ( | char * | buffer,
|  | unsigned long | length |
| ) |  |  | const`[inline]`

References gdcmDebugMacro.

VL gdcm::ByteValue::GetLength | ( |  | ) | const`[inline, virtual]`

Implements gdcm::Value.

Examples:
  FixBrokenJ2K.cxx, MrProtocol.cxx, PatchFile.cxx, ReadExplicitLengthSQIVR.cxx, and rle2img.cxx.

Referenced by gdcm::operator<<(), gdcm::Element< TVR, VM::VM1_n >::Set(), gdcm::Element< VR::OB, VM::VM1_n >::Set(), gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetByteValue(), gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValue(), gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValueNoSwap(), gdcm::Element< VR::OB, VM::VM1_n >::SetNoSwap(), and gdcm::Fragment::Write().

const char* gdcm::ByteValue::GetPointer | ( |  | ) | const`[inline]`

Examples:
  FixBrokenJ2K.cxx, MrProtocol.cxx, ReadExplicitLengthSQIVR.cxx, and rle2img.cxx.

Referenced by gdcm::operator<<(), gdcm::Element< TVR, VM::VM1_n >::Set(), gdcm::Element< VR::OB, VM::VM1_n >::Set(), gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetByteValue(), gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValue(), gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValueNoSwap(), and gdcm::Element< VR::OB, VM::VM1_n >::SetNoSwap().

bool gdcm::ByteValue::IsEmpty | ( |  | ) | const`[inline]`

bool gdcm::ByteValue::IsPrintable | ( | VL | length | ) | const`[inline]`

Checks whether a 'ByteValue' is printable or not (in order to avoid corrupting the terminal of invocation when printing) I dont think this function is working since it does not handle UNICODE or character set...

gdcm::ByteValue::operator const std::vector< char > & | ( |  | ) | const`[inline]`

ByteValue& gdcm::ByteValue::operator= | ( | const ByteValue & | val | ) | `[inline]`

bool gdcm::ByteValue::operator== | ( | const ByteValue & | val | ) | const`[inline]`

void gdcm::ByteValue::Print | ( | std::ostream & | os | ) | const`[inline, protected, virtual]`

Reimplemented from gdcm::Object.

void gdcm::ByteValue::PrintASCII | ( | std::ostream & | os,
|  | VL | maxlength |
| ) |  |  | const

void gdcm::ByteValue::PrintGroupLength | ( | std::ostream & | os | ) | `[inline]`

void gdcm::ByteValue::PrintHex | ( | std::ostream & | os,
|  | VL | maxlength |
| ) |  |  | const

template<typename TSwap >

std::istream& gdcm::ByteValue::Read | ( | std::istream & | is | ) | `[inline]`

template<typename TSwap , typename TType >

std::istream& gdcm::ByteValue::Read | ( | std::istream & | is | ) | `[inline]`

void gdcm::ByteValue::SetLength | ( | VL | vl | ) | `[inline, virtual]`

Implements gdcm::Value.

References gdcmDebugMacro, gdcm::VL::IsOdd(), and gdcm::VL::IsUndefined().

template<typename TSwap >

std::ostream const& gdcm::ByteValue::Write | ( | std::ostream & | os | ) | const`[inline]`

template<typename TSwap , typename TType >

std::ostream const& gdcm::ByteValue::Write | ( | std::ostream & | os | ) | const`[inline]`

Referenced by gdcm::Fragment::Write().

bool gdcm::ByteValue::WriteBuffer | ( | std::ostream & | os | ) | const`[inline]`

The documentation for this class was generated from the following file:

- gdcmByteValue.h